Bug 122558 - [PATCH]:graphics/png: update to 1.2.26
[PATCH]:graphics/png: update to 1.2.26
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Andrey A. Chernov
Depends on:
  Show dependency treegraph
Reported: 2008-04-08 11:00 UTC by bf2006a
Modified: 2008-04-08 18:10 UTC (History)
0 users

See Also:

file.diff (1.25 KB, patch)
2008-04-08 11:00 UTC, bf2006a
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf2006a 2008-04-08 11:00:01 UTC

version 1.2.26beta01 [February 21, 2008]
  Added missing "(" in pngmem.c.  Bug introduced in libpng-1.2.2/1.0.13

version 1.2.26beta02 [March 12, 2008]
  Refined error message returned from deflateInit2 in pngwutil.c
  Check IHDR length in png_push_read_chunk() before saving it.

version 1.2.26beta03 [March 16, 2008]
  Revised contrib/gregbook to handle premature end-of-file and file
    read errors correctly.

version 1.2.26beta04 [March 18, 2008]
  Free png_ptr->big_row_buf and png_ptr->prev_row before allocating
    new copies in png_read_start_row().  Bug introduced in libpng-1.2.22.

version 1.2.26beta05 [March 19, 2008]
  Removed extra png_free() added in libpng-1.2.26beta04.

version 1.2.26beta06 [March 19, 2008]
  Avoid reallocating big_row_buf and prev_row when the size does not increase.

version 1.2.26rc01 [April 2, 2008]
  Ifdef out some code that is unused when interlacing is not supported.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-04-08 11:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2008-04-08 18:09:12 UTC
ache        2008-04-08 17:08:58 UTC

  FreeBSD ports repository

  Modified files:
    graphics/png         Makefile distinfo 
    graphics/png/files   patch-ab 
  Upgrade to 1.2.26
  PR:             122558
  Submitted by:   bf <bf2006a@yahoo.com>
  Revision  Changes    Path
  1.86      +1 -1      ports/graphics/png/Makefile
  1.39      +3 -3      ports/graphics/png/distinfo
  1.12      +1 -1      ports/graphics/png/files/patch-ab
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Andrey A. Chernov freebsd_committer 2008-04-08 18:09:23 UTC
State Changed
From-To: open->closed